# Uses of Interface
javax.print.attribute.PrintJobAttributeSet

Packages that use PrintJobAttributeSet
Package
Description
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.print.attribute
Provides classes and interfaces that describe the types of Java Print Service attributes and how they can be collected into attribute sets.
javax.print.event
Package `javax.print.event` contains event classes and listener interfaces.

## Uses of PrintJobAttributeSet in javax.print

Methods in javax.print that return PrintJobAttributeSet
Modifier and Type
Method
Description
`PrintJobAttributeSet`
DocPrintJob.`getAttributes()`
Obtains this Print Job's set of printing attributes.
Methods in javax.print with parameters of type PrintJobAttributeSet
Modifier and Type
Method
Description
`void`
DocPrintJob.`addPrintJobAttributeListener(PrintJobAttributeListener listener, PrintJobAttributeSet attributes)`
Registers a listener for changes in the specified attributes.

## Uses of PrintJobAttributeSet in javax.print.attribute

Classes in javax.print.attribute that implement PrintJobAttributeSet
Modifier and Type
Class
Description
`class`
`HashPrintJobAttributeSet`
Class `HashPrintJobAttributeSet` provides an attribute set which inherits its implementation from class `HashAttributeSet` and enforces the semantic restrictions of interface `PrintJobAttributeSet`.
Methods in javax.print.attribute that return PrintJobAttributeSet
Modifier and Type
Method
Description
`static PrintJobAttributeSet`
AttributeSetUtilities.`synchronizedView(PrintJobAttributeSet attributeSet)`
Creates a synchronized view of the given print job attribute set.
`static PrintJobAttributeSet`
AttributeSetUtilities.`unmodifiableView(PrintJobAttributeSet attributeSet)`
Creates an unmodifiable view of the given print job attribute set.
Methods in javax.print.attribute with parameters of type PrintJobAttributeSet
Modifier and Type
Method
Description
`static PrintJobAttributeSet`
AttributeSetUtilities.`synchronizedView(PrintJobAttributeSet attributeSet)`
Creates a synchronized view of the given print job attribute set.
`static PrintJobAttributeSet`
AttributeSetUtilities.`unmodifiableView(PrintJobAttributeSet attributeSet)`
Creates an unmodifiable view of the given print job attribute set.
Constructors in javax.print.attribute with parameters of type PrintJobAttributeSet
Modifier
Constructor
Description
``
`HashPrintJobAttributeSet(PrintJobAttributeSet attributes)`
Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `PrintJobAttribute` interface.

## Uses of PrintJobAttributeSet in javax.print.event

Methods in javax.print.event that return PrintJobAttributeSet
Modifier and Type
Method
Description
`PrintJobAttributeSet`
PrintJobAttributeEvent.`getAttributes()`
Determine the printing attributes that changed and their new values.
Constructors in javax.print.event with parameters of type PrintJobAttributeSet
Modifier
Constructor
Description
``
`PrintJobAttributeEvent(DocPrintJob source, PrintJobAttributeSet attributes)`
Constructs a `PrintJobAttributeEvent` object.